Skip to main content
PUT
/
networks
/
custom
/
payoutrevenue
/
{settingId}
Update Custom Payout/Revenue
curl --request PUT \
  --url https://api.eflow.team/v1/networks/custom/payoutrevenue/{settingId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_payout_revenue_id": 0,
  "network_offer_id": 1,
  "name": "VIP Partner Rate - Updated",
  "custom_setting_status": "active",
  "is_apply_all_affiliates": false,
  "network_affiliate_ids": [
    7
  ],
  "is_custom_payout_enabled": true,
  "payout_type": "cpa",
  "payout_amount": 7.5,
  "payout_percentage": 0,
  "is_custom_revenue_enabled": true,
  "revenue_type": "rpa",
  "revenue_amount": 12,
  "revenue_percentage": 0
}
'
{
  "network_custom_payout_revenue_setting_id": 123,
  "network_id": 123,
  "network_offer_id": 123,
  "network_offer_payout_revenue_id": 123,
  "name": "<string>",
  "custom_setting_status": "active",
  "is_apply_all_affiliates": true,
  "is_custom_payout_enabled": true,
  "payout_type": "blank",
  "payout_amount": 123,
  "payout_percentage": 123,
  "is_custom_revenue_enabled": true,
  "revenue_type": "blank",
  "revenue_amount": 123,
  "revenue_percentage": 123,
  "description": "<string>",
  "public_description": "<string>",
  "is_postback_disabled": true,
  "date_valid_from": "<string>",
  "date_valid_to": "<string>",
  "is_apply_specific_offer_urls": true,
  "network_affiliate_ids": [
    123
  ],
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "network_offer_url_ids": [
    123
  ],
  "relationship": {
    "affiliates": {
      "total": 123,
      "entries": [
        {
          "network_affiliate_id": 123,
          "network_id": 123,
          "name": "<string>",
          "account_status": "<string>",
          "network_employee_id": 123,
          "internal_notes": "<string>",
          "has_notifications": true,
          "network_traffic_source_id": 123,
          "account_executive_id": 123,
          "adress_id": 123,
          "default_currency_id": "<string>",
          "is_contact_address_enabled": true,
          "enable_media_cost_tracking_links": true,
          "time_created": 1734455015,
          "time_saved": 1734455015,
          "referrer_id": 123
        }
      ]
    },
    "offer": {
      "network_offer_id": 123,
      "network_id": 123,
      "network_advertiser_id": 123,
      "network_offer_group_id": 123,
      "name": "<string>",
      "offer_status": "<string>",
      "network_tracking_domain_id": 123,
      "visibility": "<string>",
      "currency_id": "<string>"
    },
    "payout_revenue": {
      "network_offer_payout_revenue_id": 123,
      "network_id": 123,
      "network_offer_id": 123,
      "entry_name": "<string>",
      "payout_type": "<string>",
      "payout_amount": 123,
      "payout_percentage": 123,
      "revenue_type": "<string>",
      "revenue_amount": 123,
      "revenue_percentage": 123,
      "is_default": true,
      "is_private": true,
      "is_postback_disabled": true,
      "is_enforce_caps": true,
      "time_created": 1734455015,
      "global_advertiser_event_id": 123,
      "is_must_approve_conversion": true,
      "is_allow_duplicate_conversion": true,
      "is_email_attribution_default_event": true,
      "remote_offer_resource": {}
    },
    "currency_id": "<string>",
    "ruleset": {},
    "variables": {
      "total": 123,
      "entries": [
        {
          "network_custom_payout_revenue_setting_variable_id": 123,
          "network_custom_payout_revenue_setting_id": 123,
          "comparison_method": "<string>",
          "variable": "<string>",
          "variable_value": "<string>",
          "variable_secondary_value": "<string>"
        }
      ]
    },
    "offer_urls": [
      {
        "network_offer_url_id": 123,
        "network_id": 123,
        "network_offer_id": 123,
        "name": "<string>"
      }
    ]
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom payout/revenue setting identifier.

Body

application/json
network_offer_payout_revenue_id
integer
required

The offer's payout/revenue configuration ID. Use 0 for the base conversion. For event-level custom payouts, use the specific event ID.

network_offer_id
integer
required

The offer ID to create this custom setting for.

name
string
required

Display name for this custom payout/revenue setting.

custom_setting_status
enum<string>
required

Setting status.

Available options:
active,
inactive
is_apply_all_affiliates
boolean
required

Whether this setting applies to all affiliates, including ones who have yet to be created. If false, you must specify network_affiliate_ids.

payout_type
enum<string>
required

Payout pricing model. Use blank when is_custom_payout_enabled is false. cpc = cost per click, cpa = cost per action, cpm = cost per mille, cps = cost per sale (percentage), cpa_cps = CPA + CPS hybrid, prv = private (hidden from affiliates). The _sku variants are used for Price Per Product offers where SKU variables are specified.

Available options:
blank,
cpc,
cpa,
cpm,
cps,
cpa_cps,
prv,
cpa_sku,
cps_sku,
cpa_cps_sku,
prv_sku
payout_amount
number<double>
required

Custom payout amount. Only relevant for a payout_type expressed in absolute values (cpa, cpa_cps, cpm, cpc).

payout_percentage
number
required

Payout percentage. Only relevant for a payout_type expressed in percentage (cps, cpa_cps, prv).

revenue_type
enum<string>
required

Revenue pricing model. Use blank when is_custom_revenue_enabled is false. rpc = revenue per click, rpa = revenue per action, rpm = revenue per mille, rps = revenue per sale (percentage), rpa_rps = RPA + RPS hybrid. The _sku variants are used for Price Per Product offers where SKU variables are specified.

Available options:
blank,
rpc,
rpa,
rpm,
rps,
rpa_rps,
rpa_sku,
rps_sku,
rpa_rps_sku
revenue_amount
number<double>
required

Custom revenue amount. Only relevant for a revenue_type expressed in absolute values (rpa, rpa_rps, rpm, rpc).

revenue_percentage
number
required

Revenue percentage (used with rps and rpa_rps types).

network_affiliate_ids
integer[]

Array of affiliate IDs this setting applies to. Required when is_apply_all_affiliates is false.

is_custom_payout_enabled
boolean

Whether custom payout is enabled. At least one of is_custom_payout_enabled or is_custom_revenue_enabled must be true.

is_custom_revenue_enabled
boolean

Whether custom revenue is enabled. At least one of is_custom_payout_enabled or is_custom_revenue_enabled must be true.

description
string

Internal description (visible only to network users).

public_description
string

Public description visible to affiliates. Note that if the custom payout revenue completely overrides the base payout revenue settings (not regulated by dates, targeting, or variable rules), it will not appear as a "custom payout" setting for the affiliate, and this description will not be visible.

is_postback_disabled
boolean

Whether to disable partner postback firing when this custom setting takes effect. When true, partner postbacks will not fire for conversions matched by this setting.

date_valid_from
string

Start date for when this setting is active (YYYY-MM-DD). The custom setting will not apply before this date. Leave empty for no start date restriction.

date_valid_to
string

End date for when this setting expires (YYYY-MM-DD). The custom setting will not apply after this date. Leave empty for no end date restriction.

is_apply_specific_offer_urls
boolean

Whether this setting only applies to specific offer URLs.

network_offer_url_ids
integer[]

Array of offer URL IDs this setting applies to. Used when is_apply_specific_offer_urls is true.

ruleset
object

Targeting ruleset for this custom payout/revenue setting. Allows you to restrict when this custom payout/revenue is applied based on geographic, device, browser, and connection criteria. See the Ruleset guide for details.

variables
object[]

Goal condition variables that must match for this custom payout/revenue to take effect. Variables can be used for parameter-based goals or Products/SKU pricing. Each variable defines a condition based on tracking parameters. For SKU-based pricing, see the Price Per Product guide.

Response

200 - application/json
network_custom_payout_revenue_setting_id
integer

Unique custom payout/revenue setting ID.

network_id
integer

Network ID.

network_offer_id
integer

Associated offer ID.

network_offer_payout_revenue_id
integer

The offer's payout/revenue config ID (0 = base conversion).

name
string

Display name for this custom setting.

custom_setting_status
enum<string>

Setting status.

Available options:
active,
inactive
is_apply_all_affiliates
boolean

Whether this setting applies to all affiliates, including ones who have yet to be created.

is_custom_payout_enabled
boolean

Whether custom payout is enabled.

payout_type
enum<string>

Payout pricing model. blank when custom payout is not enabled.

Available options:
blank,
cpc,
cpa,
cpm,
cps,
cpa_cps,
prv,
cpa_sku,
cps_sku,
cpa_cps_sku,
prv_sku
payout_amount
number<double>

Custom payout amount. Only relevant for a payout_type expressed in absolute values (cpa, cpa_cps, cpm, cpc).

payout_percentage
number

Payout percentage. Only relevant for a payout_type expressed in percentage (cps, cpa_cps, prv).

is_custom_revenue_enabled
boolean

Whether custom revenue is enabled.

revenue_type
enum<string>

Revenue pricing model. blank when custom revenue is not enabled.

Available options:
blank,
rpc,
rpa,
rpm,
rps,
rpa_rps,
rpa_sku,
rps_sku,
rpa_rps_sku
revenue_amount
number<double>

Custom revenue amount. Only relevant for a revenue_type expressed in absolute values (rpa, rpa_rps, rpm, rpc).

revenue_percentage
number

Revenue percentage.

description
string

Internal description.

public_description
string

Public description visible to affiliates. Note that if the custom payout revenue completely overrides the base payout revenue settings (not regulated by dates, targeting, or variable rules), it will not appear as a "custom payout" setting for the affiliate, and this description will not be visible.

is_postback_disabled
boolean

Whether to disable partner postback firing when this custom setting takes effect. When true, partner postbacks will not fire for conversions matched by this setting.

date_valid_from
string

Start date for when this setting is active (YYYY-MM-DD). The custom setting will not apply before this date. Leave empty for no start date restriction.

date_valid_to
string

End date for when this setting expires (YYYY-MM-DD). The custom setting will not apply after this date. Leave empty for no end date restriction.

is_apply_specific_offer_urls
boolean

Whether this applies only to specific offer URLs.

network_affiliate_ids
integer[]

Array of affiliate IDs this setting applies to.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

network_offer_url_ids
integer[] | null

Array of offer URL IDs this setting applies to.

relationship
object